
import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import settings from './modules/settings'
import app from './modules/app'
import user from './modules/user'
import goods from './modules/goods'
import province from './modules/province'
import commoditydetails from './modules/commoditylistdetails'
import Orderlist from './modules/Orderlist'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    commoditydetails,
    app,
    user,
    goods,
    settings,
    Orderlist,
    province
  },
  getters
})

export default store
