import {
  HTTP_URL, UPLOADAVATARIMG
} from './api-type.js'

const $api = {
  URL: HTTP_URL + '/body',
  getArea: HTTP_URL + '/body/getArea', // 获取省市县
  login: HTTP_URL + '/body/login', // 登录接口
  getGoodsList: HTTP_URL + '/body/getGoodsList', // 获取商品列表
  getGoodsClassification: HTTP_URL + '/body/getGoodsClassification', // 获取商品分类
  addComboGoods: HTTP_URL + '/body/addComboGoods', // 新增商品套餐
  addGoods: HTTP_URL + '/body/addGoods', // 新增商品
  getComboList: HTTP_URL + '/body/getComboList', // 获取商品套餐列表
  editComboGoods: HTTP_URL + '/body/editComboGoods', // 编辑商品套餐
  delComboGoods: HTTP_URL + '/body/delComboGoods', // 删除商品套餐
  getOrders: HTTP_URL + '/body/getOrders', // 订单列表
  addMerchants: HTTP_URL + '/body/addMerchants', // 新增供应商/店铺 注册
  // uploadAvatar: UPLOADAVATARIMG + '/uploadAvatar', // 上传图片和视频
  // 新的上传接口
  uploadFile: UPLOADAVATARIMG + '/uploadFile', // 上传图片和视频
  getOrderDetails: HTTP_URL + '/body/getOrderDetails', // 获取订单详情
  changeState: HTTP_URL + '/body/getOrderDetails', // 修改订单状态
  updateState: HTTP_URL + '/body/updateState', // 更改商品状态
  getGoodsDetails: HTTP_URL + '/body/getGoodsDetails', // 获取商品详情
  modiPassword: HTTP_URL + '/body/modiPassword', // 修改管理员密码
  valiUserName: HTTP_URL + '/body/valiUserName', // 用户名唯一校验
  valiMerchantsName: HTTP_URL + '/body/valiMerchantsName', // 供应商名称唯一校验
  goodsSubmit: HTTP_URL + '/body/goodsSubmit', // 商品提交审核
  editGoods: HTTP_URL + '/body/editGoods', // 修改商品
  getMerchantsIndex: HTTP_URL + '/body/getMerchantsIndex', // 获取店铺首页信息
  editMerchantsIndex: HTTP_URL + '/body/editMerchantsIndex', // 修改店铺首页
  getGoodsByClassification: HTTP_URL + '/body/getGoodsByClassification', // 根据分类获取商品列表
  editMerchants: HTTP_URL + '/body/editMerchants', // 编辑供应商/店铺
  getMerchGoodsClassification: HTTP_URL + '/body/getMerchGoodsClassification', // 根据商户Id 获取商品分类
  getGoodsMerchClassification: HTTP_URL + '/body/getGoodsMerchClassification', // 根据商户Id 获取已经商品
  addCourierInfo: HTTP_URL + '/body/addCourierInfo', // 填写快递信息
  addRefundInfo: HTTP_URL + '/body/addRefundInfo', // 商家退款
  modiOrderState: HTTP_URL + '/body/modiOrderState', // 修改订单状态
  addRefuseRefundInfo: HTTP_URL + '/body/addRefuseRefundInfo', // 商家拒绝退款
  valiMerchantsNameAndID: HTTP_URL + '/body/valiMerchantsNameAndID',//带供应商id的校验供应商名字唯一校验
  getMerchantsState: HTTP_URL + '/body/getMerchantsState',//获取供应商状态
  exportOrdersExcel: HTTP_URL + '/body/exportOrdersExcel',//商户订单导出Excel表
  getGraphicData: HTTP_URL + '/body/getGraphicData',//获取图示数据
  getRealTimeData: HTTP_URL + '/body/getRealTimeData',//实时数据
  getOrderData: HTTP_URL + '/body/getOrderData',//获取订单数据（待办事项）
  getLogisticsInfo: HTTP_URL + '/body/getLogisticsInfo',//获取物流信息
  importOrderExcel: HTTP_URL + '/importOrderExcel',//导入订单物流信息
  exportErrorData: HTTP_URL + '/body/exportErrorData',//下载导入批次记录
  getLogisticsErrorMsg: HTTP_URL + '/body/getLogisticsErrorMsg',//快递单号无法识别
  getLogisticsImportErrorMsg: HTTP_URL + '/body/getLogisticsImportErrorMsg',//批量导入错误
  updateDataState: HTTP_URL + '/body/updateDataState',//更改批次状态
  getLogisticsCode: HTTP_URL + '/body/getLogisticsCode',//获取物流公司编码及名称
  updateOrderAddress: HTTP_URL + '/body/updateOrderAddress',//待发货状态订单操作栏增加修改收货地址


  // 三级套餐
  // 获取规格排序
  getSpecs: HTTP_URL + '/body/getSpecs',
  // 新增/编辑三级套餐
  addOrEditSpecMerchants: HTTP_URL + '/body/addOrEditSpecMerchants',
  // 回显三级套餐
  getSpecMerchants: HTTP_URL + '/body/getSpecMerchants',
  // 弹窗拖动排序
  editSpecsSort: HTTP_URL + '/body/editSpecsSort',
  // 回显拖动接口的值
  getSpecsSort: HTTP_URL + '/body/getSpecsSort',
  getActivityMenus: HTTP_URL + '/body/getActivityMenus', //获取活动列表
  addFullActivity: HTTP_URL + '/body/addFullActivity', //是否参加满额活动
  getGoodsFullActivityDetail: HTTP_URL + '/body/getGoodsFullActivityDetail', //回显满额活动
}

export { $api }
